Subject: RE: bug#31351: 27.0; Cannot send bug report with Outlook if text includes backquoted sexps

From: Drew Adams <[email-masked]>
Date: Thu, 3 May 2018 11:24:39 -0700 (PDT)

> I see the problem, but I'm not sure it's the same problem, because it
> doesn't fit your description in two details: (a) the problem I see is
> not caused by anything in the message body -- in fact, I can reproduce
> the problem with a "bug report" whose body consists of just "foo", in
> addition to the details collected by the command about my system; and
> (b) sending that problematic bug report works just fine in Emacs 25
> and all older versions, and is broken only in Emacs 26 and later.
> 
> The problem I see is not caused by backticks in the body, it is caused
> by quotes ".." in the Subject of the bug.  (I don't see how the body
> could have any effect on launching Outlook, since we pass the body
> through the system clipboard, and Outlook doesn't see it until you
> paste the body into Outlook.  So it cannot possibly prevent Outlook
> from starting correctly.)
> 
> To fix the problem I see, I installed on the release branch a fix,
> which is reproduced below.  Please re-verify that you indeed see a
> different problem -- I expect the patch below not to solve the problem
> if so.
> 
> Thanks.

Great. Thanks for taking a closer look.

It's funny though.  Before I tried simplifying the body, I did
try simplifying the Subject line, by removing the backquote,
the single quote, and the double-quotes.  That didn't fix it
for me.  But perhaps I didn't do what I thought I did.

Anyway, if you've found a fix, that's great.

BTW, it wasn't about having an effect on launching Outlook.
I already had Outlook open.  It was only about not creating
a new Outlook message with the header filled and the body
ready to be pasted as the bug-report text.

(I don't want to try testing this, as that will likely create
a useless bug report.  If you feel this fixes the problem
that's good enough for me, until/unless I run into it again.)